@TooTallToby You're welcome, Toby! Taking a bit, but things are getting better. Thank you, man. I appreciate it, and I hope all's going well with you, too!
Great little video! And a Power Move indeed! I use a similar technique in Alibre by extruding a volume around it, doing a boolean cut and deleting the external body. Really cool technique
It is an awesome tool. Also you can use it in combination with "combine bodies" if you pot bodies inside of the fluid. The body of fluid can be used in simulations. Combine bodies is more powerful to avoid the "zero thickness geometry" headache
Awesome video! I created a box with a shelf inside as a test model in build123d and I was able to calculate the volume. Here is the sourcecode: with BuildPart() as p: outer = Box(20, 20, 20) offset(amount=-2, openings=faces().sort_by(Axis.Z)[-1]) Box(10, 20, 2) inside = outer - p.part split_inside = split(inside, bisect_by=Plane.XY.offset(8), keep=Keep.BOTTOM) print(split_inside.volume) # 3776 cubic millimeters The weakness of this approach is that I needed a version of the shape with the external shell completely filled. That might not always be the case like you showed with the piping example.
Thalys you for the video. This is actually very useful command. When working with surfaces instead of trimming and knitting to make a Solid, this command could make a Solid from an enclosed space in one step.
yeah I thought about including that in the video but I wanted to keep it tight. I'll probably make a follow up on how to use Intersect with surfaces to close off a solid! :-) Glad you liked this one Frank!
Usually I'll just use 1. Insert > CURVE > SPLIT LINE - and use this to split the surface where the mark should be 2. Insert > SURFACE > OFFSET and offset that face at 0.00 mm 3. Insert > SURFACE > THICKEN and thicken that surface slightly to add some material 4. FILLET - to clean up the bounding edges But it depends on the geometry of the vessel Hope this helps Toby
You actually don't have to remove unwanted bodies... you can just select the "create internal region" button in the Intersection dialog box. This will leave you with two bodies. Your OG container and the fluid level body. You can adjust the level then by the plane and see it in the container if you change the body to transparent.
I've learned so much and improved my hobbyist-level skills, and that's directly down to you. My sincerest thanks.
Awesome Maria! so glad to hear that these tips and tricks are helpful!
Nice video, Toby!
Thanks Jed! Hope all is well in your world!
@TooTallToby You're welcome, Toby! Taking a bit, but things are getting better. Thank you, man. I appreciate it, and I hope all's going well with you, too!
Thanks Toby
Shorts are very interesting.
Awesome!
That was awesome. Thanks for the tip.
Hi nuno!
@@TooTallToby you've been killing it with these tips and tricks. They are turning out to be sooo helpful in so many instances.
awesome!@@NunoMarques76
Great little video! And a Power Move indeed!
I use a similar technique in Alibre by extruding a volume around it, doing a boolean cut and deleting the external body. Really cool technique
So awesome to hear that Alibre has something similar!
It is an awesome tool. Also you can use it in combination with "combine bodies" if you pot bodies inside of the fluid. The body of fluid can be used in simulations. Combine bodies is more powerful to avoid the "zero thickness geometry" headache
awww yeah that's an awesome tip! Thanks!
Excellent topic.
Thanks!
Awesome video! I created a box with a shelf inside as a test model in build123d and I was able to calculate the volume. Here is the sourcecode:
with BuildPart() as p:
outer = Box(20, 20, 20)
offset(amount=-2, openings=faces().sort_by(Axis.Z)[-1])
Box(10, 20, 2)
inside = outer - p.part
split_inside = split(inside, bisect_by=Plane.XY.offset(8), keep=Keep.BOTTOM)
print(split_inside.volume) # 3776 cubic millimeters
The weakness of this approach is that I needed a version of the shape with the external shell completely filled. That might not always be the case like you showed with the piping example.
awww yeah nice job JERN!
Thalys you for the video. This is actually very useful command. When working with surfaces instead of trimming and knitting to make a Solid, this command could make a Solid from an enclosed space in one step.
yeah I thought about including that in the video but I wanted to keep it tight. I'll probably make a follow up on how to use Intersect with surfaces to close off a solid! :-) Glad you liked this one Frank!
That's pretty cool. I have never used that command before. Now I know! Thanks Toby!
Thanks Tambaurora Station! Glad this helps!
Excellent! Thanks!🙏🏻
Awww yeah!
Thanks Toby. "Can you guide me? How can we mark off a volume? I really appreciate you!!!
Usually I'll just use
1. Insert > CURVE > SPLIT LINE - and use this to split the surface where the mark should be
2. Insert > SURFACE > OFFSET and offset that face at 0.00 mm
3. Insert > SURFACE > THICKEN and thicken that surface slightly to add some material
4. FILLET - to clean up the bounding edges
But it depends on the geometry of the vessel
Hope this helps
Toby
excellent!
thansk!!
Very cool. 🙂
Thanks! Glad this helps!
You actually don't have to remove unwanted bodies... you can just select the "create internal region" button in the Intersection dialog box. This will leave you with two bodies. Your OG container and the fluid level body. You can adjust the level then by the plane and see it in the container if you change the body to transparent.
yeah originally I discussed those options but the video got too long :-) Great advice!
How many fluid ounces? Noice! 😀
Yes indeed!!